Description

When creating a view (spatial or not) within a sqlite database, calculated fields have no definite type because of the affinity typing rules of

SQLite.

Those fields cannot be used by QGIS for symbology purposes thereafter.

Unless there is a way to by-pass this issue, I think it's realy a shame to populate the database with tables instead of views.

History

#1 - 2012-10-06 02:10 AM - Pirmin Kalberer

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:17 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-07-17 04:29 AM - Jürgen Fischer

- Subject changed from Allow QGIS to 'guess' field types for calcutlated fields in spatialite views to Allow QGIS to 'guess' field types for calculated fields 

in spatialite views

#4 - 2013-07-17 04:32 AM - Jürgen Fischer

- Priority changed from High to Normal

#5 - 2013-07-17 04:32 AM - Jürgen Fischer

- Category set to Data Provider/SpatiaLite

#6 - 2015-12-22 05:36 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 master (and probably in 2.12.1), when I make a SQLite view, QGIS find attribute type without any problem...

Can you confirm ?

#7 - 2015-12-22 05:46 AM - Médéric RIBREUX

Oops, sorry for the noise: I've made tests with calculated fields and QGIS don't recognise them (even with a CAST function)...

Furthermore, in DBManager, the calculated field type is also empty.

So this feature request is still valid !
#8 - 2016-01-20 02:07 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#9 - 2016-10-03 07:51 AM - Pieter Brusselman

Can someone estimate how much time it would take to solve this problem? Maybe we can look for a solution....

#10 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
